QGIS Application - Bug report #11876

Processing: python error in batch mode GUI (QGIS master)

2014-12-17 05:07 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented

Crashes QGIS or corrupls data:

Copied to github as #: 20090

Description

When double clicking the column names in the batch mode GUI, in QGIS master now a python error shows

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/gui/BatchPanel.py", line 196, in fillParameterValues

self.tblParameters.cellWidget(row, col).setCurrentindex(widgetValue)

NameError: global name 'col' is not defined

not allowing to auto-fill all the rows with the value of the first one.

Master is affected.

Related issues:

Related to QGIS Application - Bug report # 11877: Processing/master: default ...

Closed 2014-12-17

Associated revisions

Revision €31027c8 - 2014-12-18 08:18 AM - Alexander Bruy

[processing] fix column autofill in batch mode (fix #11876)

History

#1 - 2014-12-17 11:19 PM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"e31027c8401ce6bb48f65736b260da1d51¢7d270".

#2 - 2014-12-17 11:21 PM - Alexander Bruy
- Resolution set to fixed/implemented
